Package ru.bitel.bgbilling.modules.voice.server.bean

# Enum Class Keys

java.lang.Object
java.lang.Enum<Keys>
ru.bitel.bgbilling.modules.voice.server.bean.Keys

All Implemented Interfaces:
  `Serializable`, `Comparable<Keys>`, `Constable`

public enum Keys extends Enum<Keys>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CDR_ZERO_SKIP`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `key`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  `static Keys`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Keys[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CDR_ZERO_SKIP

    public static final Keys CDR_ZERO_SKIP

- ## Field Details

  - ### key

    public final String key

- ## Method Details

  - ### values

    public static Keys[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Keys valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getKey

    public String getKey()